# GstRTPdefs

Provides common defines for the RTP library.

## Enumerations

### GstRTPProfile

The transfer profile to use.

##### Members

`GST_RTP_PROFILE_UNKNOWN` (0) –

invalid profile

`GST_RTP_PROFILE_AVP` (1) –

the Audio/Visual profile (RFC 3551)

`GST_RTP_PROFILE_SAVP` (2) –

the secure Audio/Visual profile (RFC 3711)

`GST_RTP_PROFILE_AVPF` (3) –

the Audio/Visual profile with feedback (RFC 4585)

`GST_RTP_PROFILE_SAVPF` (4) –

the secure Audio/Visual profile with feedback (RFC 5124)

Since : 1.6

### GstRtp.RTPProfile

The transfer profile to use.

##### Members

`GstRtp.RTPProfile.UNKNOWN` (0) –

invalid profile

`GstRtp.RTPProfile.AVP` (1) –

the Audio/Visual profile (RFC 3551)

`GstRtp.RTPProfile.SAVP` (2) –

the secure Audio/Visual profile (RFC 3711)

`GstRtp.RTPProfile.AVPF` (3) –

the Audio/Visual profile with feedback (RFC 4585)

`GstRtp.RTPProfile.SAVPF` (4) –

the secure Audio/Visual profile with feedback (RFC 5124)

Since : 1.6

### GstRtp.RTPProfile

The transfer profile to use.

##### Members

`GstRtp.RTPProfile.UNKNOWN` (0) –

invalid profile

`GstRtp.RTPProfile.AVP` (1) –

the Audio/Visual profile (RFC 3551)

`GstRtp.RTPProfile.SAVP` (2) –

the secure Audio/Visual profile (RFC 3711)

`GstRtp.RTPProfile.AVPF` (3) –

the Audio/Visual profile with feedback (RFC 4585)

`GstRtp.RTPProfile.SAVPF` (4) –

the secure Audio/Visual profile with feedback (RFC 5124)

Since : 1.6

The results of the search are